/*
 * @Author: zc
 * @description 辅助功能-工单词库管理
 */
import request from '@/utils/request';
/**
 * @description 工单词库基础信息
 */
export const orderLexiconBaseData = () => {
	return request({
		url: `/api/v1/Order/order_word/base`,
		method: 'get',
	});
};
/**
 * @description 工单词库列表
 * @param {object} params
 */
export const orderLexiconList = (params: object) => {
	return request({
		url: `/api/v1/Order/order_word/list`,
		method: 'get',
		params,
	});
};
/**
 * @description 工单词库列表导出
 * @param {object} data
 */
export const orderLexiconExport = (data: object) => {
	return request(
		{
			url: `/api/v1/Order/order_word/list/export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 工单词库新增
 * @param {object} data
 */
export const orderLexiconAdd = (data: object) => {
	return request({
		url: `/api/v1/Order/order_word`,
		method: 'post',
		data,
	});
};
/**
 * @description 工单词库删除
 * @param {object} data
 */
export const orderLexiconDelete = (data: object) => {
	return request({
		url: `/api/v1/Order/order_word`,
		method: 'delete',
		data,
	});
};
/**
 * @description 工单词库编辑
 * @param {object} data
 */
export const orderLexiconUpdate = (data: object) => {
	return request({
		url: `/api/v1/Order/order_word`,
		method: 'put',
		data,
	});
};
/**
 * @description 工单词库详情
 * @param {string} id
 */
export const orderLexiconDetail = (id: string) => {
	return request({
		url: `/api/v1/Order/order_word/${id}`,
		method: 'get',
	});
};
