/*
 * @Author: zc
 * @description 辅助功能-特殊号码管理
 */
import request from '@/utils/request';
/**
 * @description 获取特殊号码列表
 * @param {object} params
 */
export const getSpecialNumberList = (params?: object) => {
	return request({
		url: '/api/v1/Special/number/list',
		method: 'get',
		params,
	});
};
/**
 * @description 新增特殊号码
 * @param {object} data
 */
export const addSpecialNumber = (data: object) => {
	return request({
		url: '/api/v1/Special/number/add',
		method: 'post',
		data,
	});
};
/**
 * @description 删除特殊号码
 * @param {object} data
 */
export const deleteSpecialNumber = (data: object) => {
	return request({
		url: '/api/v1/Special/number/remove',
		method: 'delete',
		data,
	});
};
/**
 * @description 根据id查询特殊号码详情
 * @param {object} params
 */
export const getSpecialNumberDetail = (params: object) => {
	return request({
		url: '/api/v1/Special/number/info',
		method: 'get',
		params,
	});
};
/**
 * @description 更新特殊号码
 * @param {object} data
 */
export const updateSpecialNumber = (data: object) => {
	return request({
		url: '/api/v1/Special/number/update',
		method: 'put',
		data,
	});
};
/**
 * @description 根据电话号码查询特殊号码详情
 * @param {object} params
 */
export const getSpecialNumberDetailByPhone = (params: object) => {
	return request({
		url: '/api/v1/Special/number/info/num',
		method: 'get',
		params,
	});
}
/**
 * @description 获取特殊号码基础信息
 * @param {object} params
 */
export const getSpecialNumberBaseInfo = (params?: object) => {
	return request({
		url: '/api/v1/Special/number/basedata',
		method: 'get',
		params,
	});
}