/*
 * @Author: zc
 * @description 业务管理-旅游信件
 */
import request from '@/utils/request';
/**
 * @description 查询旅游信件列表
 * @param {object} params
 */
export const travelLetterList = (params: object) => {
	return request({
		url: '/api/v1/Order/supervise/Travel',
		method: 'get',
		params,
	});
}
/**
 * @description 查询旅游信件列表总数
 * @param {object} params
 */
export const travelLetterListCount = (params: object) => {
	return request({
		url: '/api/v1/Order/supervise/travel/count',
		method: 'get',
		params,
	});
}
/**
 * @description 旅游信件列表导出
 * @param {object} data
 */
export const travelLetterListExport = (data: object) => {
	return request({
		url: `/api/v1/Order/supervise/travel/export`,
		method: 'post',
		data,
		responseType: 'blob'
	}, {
		reduce_data_format: false
	});
}
/**
 * @description 获取当前部门的手机号
 * @param {string} orgCode
 */
export const getPhoneByOrg = (orgCode: string) => {
	return request({
		url: `/api/v1/Order/supervise/geturgetel/${orgCode}`,
		method: 'get',
	});
}