/*
 * @Author: zc
 * @description 业务管理-工单催办
 */
import request from '@/utils/request';
/**
 * @description 工单催办待办
 * @param {object} params
 */
export const urgeToDo = (params: object) => {
    return request({
        url: `/api/v1/Order/waiturge`,
        method: 'get',
        params
    });
};
/**
 * @description 工单催办列表
 * @param {object} params
 */
export const urgeList = (params: object) => {
    return request({
        url: `/api/v1/Order/urge`,
        method: 'get',
        params
    });
};
/**
 * @description 工单催办申请
 * @param data
 */
export const urgeApply = (data: object) => {
    return request({
        url: `/api/v1/Order/urge/apply`,
        method: 'post',
        data
    });
};
/**
 * @description 工单催办回复
 * @param data
 */
export const urgeReply = (data: object) => {
    return request({
        url: `/api/v1/Order/urge/reply`,
        method: 'post',
        data
    });
};
/**
 * @description 工单催办签收
 * @param data
 */
export const urgeSign = (data: object) => {
    return request({
        url: `/api/v1/Order/urge/sign`,
        method: 'post',
        data
    });
};
/**
 * @description 工单催办详情
 * @param id
 */
export const urgeDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/urge/${id}`,
        method: 'get',
    });
};