/*
 * @Author: zc
 * @description 呼叫中心
 */
import request from '@/utils/request';
/**
 * @description 查询呼叫中心分机列表
 * @param params
 */
export const getCallCenterList = (params?: object) => {
	return request({
		url: `/api/v1/Call/tels`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心分机组列表
 * @param params
 */
export const getCallCenterGroupList = (params?: object) => {
	return request({
		url: `/api/v1/Call/groups`,
		method: 'get',
		params,
	});
};
/**
 * @description 呼叫中心签入
 * @param data
 */
export const callCenterSignIn = (data: object) => {
	return request({
		url: `/api/v1/Call/signin`,
		method: 'post',
		data,
	});
};
/**
 * @description 呼叫中心签出
 * @param data
 */
export const callCenterSignOut = (data: object) => {
	return request({
		url: `/api/v1/Call/signout`,
		method: 'post',
		data,
	});
};
/**
 * @description 呼叫中心签出（强制业务系统签出）
 * @param telNo
 */
export const callCenterSignOutForce = (telNo: string) => {
	return request({
		url: `/api/v1/Call/signout/${telNo}`,
		method: 'post',
	});
};
/**
 * @description 查询当前用户的分机状态
 * @param params
 */
export const getCallCenterStatus = (params?: object) => {
	return request({
		url: `/api/v1/Call/tel-state`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心通话记录基础数据
 * @param params
 */
export const getCallCenterCallRecordBaseData = (params?: object) => {
	return request({
		url: `/api/v1/Call/base-data`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心通话记录（固定数量）
 * @param params
 */
export const getCallCenterCallRecord = (params?: object) => {
	return request({
		url: `/api/v1/Call/calls-fixed`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心通话记录（固定数量）查询总数
 * @param params
 */
export const getCallCenterCallRecordTotal = (params?: object) => {
	return request({
		url: `/api/v1/Call/calls-fixed/count`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心坐席操作记录基础数据
 * @param params
 */
export const getCallCenterOperateRecordBaseData = (params?: object) => {
	return request({
		url: `/api/v1/Call/base-data-tel-operation`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心坐席操作记录
 * @param params
 */
export const getCallCenterOperateRecord = (params?: object) => {
	return request({
		url: `/api/v1/Call/tel-operations-fixed`,
		method: 'get',
		params,
	});
};
/**
 * @description 查询呼叫中心坐席操作记录查询总条数
 * @param params
 */
export const getCallCenterOperateRecordTotal = (params?: object) => {
	return request({
		url: `/api/v1/Call/tel-operations-fixed/count`,
		method: 'get',
		params,
	});
};
/**
 * @description 校验电话号码外呼是否需要加0
 * @param mobile
 */
export const callNumberIsLocal = (mobile?: number | string | any) => {
	return request({
		url: `/api/v1/Sys/vaild_mobile/${mobile}`,
		method: 'get',
	});
};
/**
 * @description 分页通话记录列表导出 兴唐
 * @param {object} data
 * @return {*}
 */
export const callLogXTPagedExport = (data: object) => {
	return request(
		{
			url: `/api/v1/Call/calls-fixed/export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
