/*
 * @Author: zjq
 * @description 课件管理 - 课件类型管理
 */
import request from '@/utils/request';
/**
 * @description 课件类型管理树形
 */
export const coursewareTreeList = () => {
    return request({
        url: '/api/v1/SourcewareCategory/GetTreeList',
        method: 'post',
        data: {},
    });
};
/**
 * @description 新增课件类型
 * @param {object} data
 */
export const addCoursewareType = (data: object) => {
    return request({
        url: '/api/v1/SourcewareCategory/Add',
        method: 'post',
        data,
    });
};
/**
 * @description 编辑课件类型
 * @param {object} data
 */
export const updateCoursewareType = (data: object) => {
    return request({
        url: '/api/v1/SourcewareCategory/Update',
        method: 'put',
        data,
    });
};
/**
 * @description 查询课件类型详情
 * @param {object} Id
 */
export const coursewareTypeDetail = (Id: string) => {
    return request({
        url: `/api/v1/SourcewareCategory/Get?id=${Id}`,
        method: 'get',
    });
};
/**
 * @description 删除课件类型
 * @param {object} Id
 */
export const delCoursewareType = (Id: string) => {
    return request({
        url: `/api/v1/SourcewareCategory/Delete`,
        method: 'delete',
        data: {
            id:Id 
        }
    });
};