/*
 * @Author: zc
 * @description 预警管理 -- 预警管理
 */
import request from '@/utils/request';
/**
 * @description 获取预警管理列表
 * @param {object}  params
 */
export const getEarlyManageList = (params?: object) => {
	return request({
		url: `/api/v1/Early/earlyorder-pagelist`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取预警管理详情
 * @param {string}  id
 */
export const getEarlyManageDetail = (id: string) => {
	return request({
		url: `/api/v1/Early/get-earlyorder/${id}`,
		method: 'get',
	});
};
/**
 * @description 获取预警基础参数
 * @param {object}  params
 */
export const getEarlyBaseData = (params?: object) => {
	return request({
		url: `/api/v1/order/early-base-data`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取工单详情预警信息
 * @param {string}  id
 */
export const getOrderEarlyInfo = (id: string) => {
	return request({
		url: `/api/v1/order/orderearly/${id}`,
		method: 'get',
	});
};