/*
 * @Author: zjq
 * @description 考试培训 - 标签管理
 */
import request from '@/utils/request';
/**
 * @description 标签管理树形
 */
export const examTagTreeList = () => {
    return request({
        url: '/api/v1/ExamTag/GetTreeList',
        method: 'post',
        data: {},
    });
};
/**
 * @description 新增标签
 * @param {object} data
 */
export const addExamTag = (data: object) => {
    return request({
        url: '/api/v1/ExamTag/Add',
        method: 'post',
        data,
    });
};
/**
 * @description 编辑标签
 * @param {object} data
 */
export const updateExamTag = (data: object) => {
    return request({
        url: '/api/v1/ExamTag/Update',
        method: 'put',
        data,
    });
};
/**
 * @description 查询标签详情
 * @param {object} Id
 */
export const examTagDetail = (Id: string) => {
    return request({
        url: `/api/v1/ExamTag/Get?id=${Id}`,
        method: 'get',
    });
};
/**
 * @description 删除标签
 * @param {object} Id
 */
export const delExamTag = (Id: string) => {
    return request({
        url: `/api/v1/ExamTag/Delete`,
        method: 'delete',
        data: {
            id:Id 
        }
    });
};