/*
 * @Author: zjq
 * @description 培训模板
 */
import request from '@/utils/request';

/**
 * @description 新增培训模板
 * @param {object} data
 */
export const addTrainTemplate = (data: object) => {
    return request({
        url: '/api/v1/TrainTemplate/Add',
        method: 'post',
        data,
    });
};
/**
 * @description 编辑培训模板
 * @param {object} data
 */
export const editTrainTemplate = (data: object) => {
    return request({
        url: '/api/v1/TrainTemplate/Update',
        method: 'put',
        data,
    });
};
/**
 * @description 删除培训模板
 * @param {object} data
 */
export const deleteTrainTemplate = (data: object) => {
    return request({
        url: '/api/v1/TrainTemplate/Delete',
        method: 'delete',
        data,
    });
};
/**
 * @description 获取培训模板列表
 * @param {object} params
 */
export const getTrainTemplateData = (params?: object) => {
    return request({
        url: '/api/v1/TrainTemplate/GetPagedList',
        method: 'post',
        data: params,
    });
};
/**
 * @description 查询培训模板详情
 * @param {object} Id
 */
export const getTrainTemplateDetail = (Id: string) => {
    return request({
        url: `/api/v1/TrainTemplate/Get?id=${Id}`,
        method: 'get',
    });
};
/**
 * @description 获取列表全部数据
 * @param {number} 
 */
export const getTrainTemplateAllList = () => {
    return request({
        url: `/api/v1/TrainTemplate/GetList`,
        method: 'get',
    });
};