/*
 * @Author: zc
 * @description 知识管理 - 审核管理
 */
import request from '@/utils/request';
/**
 * @description 查询知识库审批列表
 * @param params
 * @return {*}
 */
export const knowledgeAuditList = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/approve-paged',
		method: 'get',
		params,
	});
};
/**
 * @description 查询审核历史
 * @param id
 * @return {*}
 */
export const knowledgeAuditHistory = (id: string) => {
	return request({
		url: `/api/v1/Knowledge/approve-history/${id}`,
		method: 'get',
	});
};
/**
 * @description 批量审核
 * @param data
 * @return {*}
 */
export const knowledgeAuditBatch = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/approve-batch',
		method: 'post',
		data,
	});
};