/*
 * @Author: zc
 * @description 随手拍-中心标注
 */
import request from '@/utils/request';
/**
 * @description 获取工单标记集合
 * @param {object} params
 */
export const centerMarkList = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/labeled',
		method: 'get',
		params,
	});
};
/**
 * @description 工单标记集合导出
 * @param {object} data
 */
export const centerMarkListExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/labeled/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取标记详情
 * @param {string} id
 */
export const centerMarkDetail = (id: string) => {
	return request({
		url: `/api/v1/SnapshotOrder/label/${id}`,
		method: 'get',
	});
};
/**
 * @description 修改工单标记
 * @param {object} data
 */
export const centerMarkUpdate = (data: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/label',
		method: 'put',
		data,
	});
};
/**
 * @description 获取中心标注列表日志
 * @param {object} params
 */
export const centerMarkListLog = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/label/log',
		method: 'get',
		params,
	});
};
/**
 * @description 中心标注列表日志导出
 * @param {object} data
 */
export const centerMarkListLogExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/label/log/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
