/*
 * @Author: zc
 * @description 随手拍-信息公开
 */
import request from '@/utils/request';
/**
 * @description 获取随手拍公告列表基础数据
 * @param {object} params
 */
export const getSnapshotBulletinBaseData = (params?: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/listbasedata`,
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍公告列表
 * @param {object} params
 */
export const getSnapshotBulletinList = (params: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/query`,
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍公告列表导出
 * @param {object} data
 */
export const getSnapshotBulletinExport = (data: object) => {
	return request(
		{
			url: `/api/v1/SnapshotBulletin/bulletin/query/export_excel`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 新增修改公告基础信息
 * @param {object} params
 */
export const editSnapshotBulletinBase = (params?: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/addbasedata`,
		method: 'get',
		params,
	});
};
/**
 * @description 新增公告
 * @param {object} data
 */
export const addSnapshotBulletin = (data: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/add`,
		method: 'post',
		data,
	});
};
/**
 * @description 获取公告详情
 * @param {string} id
 */
export const getSnapshotBulletinDetail = (id: string) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/entity/${id}`,
		method: 'get',
	});
};
/**
 * @description 删除公告
 * @param {string} id
 */
export const delSnapshotBulletin = (id: string) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/del/${id}`,
		method: 'get',
	});
};
/**
 * @description 修改公告
 * @param {object} data
 */
export const editSnapshotBulletin = (data: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/update`,
		method: 'post',
		data,
	});
};
/**
 * @description 提交公告
 * @param {object} params
 */
export const submitSnapshotBulletin = (params: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/commit`,
		method: 'get',
		params,
	});
};
/**
 * @description 公告审核
 * @param {object} data
 */
export const auditSnapshotBulletin = (data: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin/examine`,
		method: 'post',
		data,
	});
};
/**
 * @description 上架或者下架公告
 * @param {object} data
 */
export const shelfSnapshotBulletin = (data: object) => {
	return request({
		url: `/api/v1/SnapshotBulletin/bulletin-arrive`,
		method: 'post',
		data,
	});
};
