/*
 * @Author: zc
 * @description 数据统计-知识统计
 */
import request from '@/utils/request';
/**
 * @description 获取随手拍公开集合基础数据
 * @param {object} params
 */
export const centerDataListBasicData = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publish/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍公开集合
 * @param {object} params
 */
export const centerPublishList = (params: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publish',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍公开列表导出
 * @param {object} data
 */
export const centerPublishExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/publish/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍公开详情
 * @param {string} id
 */
export const centerPublishDetail = (id: string) => {
	return request({
		url: `/api/v1/SnapshotOrder/publish/${id}`,
		method: 'get',
	});
};
/**
 * @description 批量设置随手拍公开申请不不公开
 * @param {object} data
 */
export const centerPublishSetNotPublic = (data: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publishs/status/refuse',
		method: 'put',
		data,
	});
};
/**
 * @description 添加公开审核
 * @param {object} data
 */
export const centerPublishAdd = (data: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publish',
		method: 'post',
		data,
	});
};
/**
 * @description 获取随手拍公开审批集合
 * @param {object} params
 */
export const centerPublishUserList = (params: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publish/audit',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍公开审批列表导出
 * @param {object} data
 */
export const centerPublishUserExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/publish/audit/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍公开审批详情
 * @param {string} id
 */
export const centerPublishUserDetail = (id: string) => {
	return request({
		url: `/api/v1/SnapshotOrder/publish/audit/${id}`,
		method: 'get',
	});
};
/**
 * @description 随手拍公开审批 通过不通过
 * @param {object} data
 */
export const centerPublishUserAudit = (data: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/publish/status',
		method: 'put',
		data,
	});
};
