/*
 * @Author: zc
 * @description 随手拍-红包发放
 */
import request from '@/utils/request';
/**
 * @description 获取市民红包发放列表
 * @param {object} params
 */
export const getCitizenRedEnvelopeApprovalList = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record',
		method: 'get',
		params,
	});
};
/**
 * @description 市民红包发放列表导出
 * @param {object} data
 */
export const getCitizenRedEnvelopeApprovalListExport = (data: object) => {
	return request(
		{
			url: '/api/v1/RedPack/record/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 批量发送红包
 * @param {object} data
 */
export const citizenRedEnvelopeApproval = (data: object) => {
	return request({
		url: '/api/v1/RedPack/record/send_bath',
		method: 'put',
		data,
	});
};
/**
 * @description 获取网格员红包发放列表
 * @param {object} params
 */
export const getGridRedEnvelopeApprovalList = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/guider',
		method: 'get',
		params,
	});
};
/**
 * @description 网格员红包发放列表导出
 * @param {object} data
 */
export const getGridRedEnvelopeApprovalListExport = (data: object) => {
	return request(
		{
			url: '/api/v1/RedPack/record/guider/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取红包发放明细基础数据
 * @param {object} params
 */
export const getRedEnvelopeApprovalBaseData = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/send/database',
		method: 'get',
		params,
	});
};
/**
 * @description 获取红包发放明细
 * @param {object} params
 */
export const getRedEnvelopeApprovalDetail = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/send',
		method: 'get',
		params,
	});
};
/**
 * @description 红包发放明细导出
 * @param {object} data
 */
export const getRedEnvelopeApprovalDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/RedPack/record/send/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取红包补充发放记录基础参数
 * @param {object} params
 */
export const getRedEnvelopeApprovalSupplementBaseData = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/supplement/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取红包补充发放记录
 * @param {object} params
 */
export const getRedEnvelopeApprovalSupplementList = (params?: object) => {
	return request({
		url: '/api/v1/RedPack/record/supplement',
		method: 'get',
		params,
	});
};
/**
 * @description 红包补充发放记录导出
 * @param {object} data
 */
export const getRedEnvelopeApprovalSupplementListExport = (data: object) => {
	return request(
		{
			url: '/api/v1/RedPack/record/supplement/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};