/*
 * @Author: zc
 * @description 随手拍-统计查询
 */
import request from '@/utils/request';
/**
 * @description 设置重点
 * @param {object} data
 */
export const setImportant = (data: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/isemphasis',
		method: 'put',
		data,
	});
}
/**
 * @description 获取网格员回复合计
 * @param {object} params
 */
export const getGridReplyCount = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/guider/reply',
		method: 'get',
		params,
	});
};
/**
 * @description 网格员回复合计导出
 * @param {object} data
 */
export const getGridReplyCountExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/guider/reply/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍所有工单基础数据
 * @param {object} params
 */
export const getSSPAllBaseData = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍所有工单
 * @param {object} params
 */
export const getSSPAllOrder = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍所有工单导出
 * @param {object} data
 */
export const getSSPAllOrderExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/order/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍统计基础数据
 * @param {object} params
 */
export const getSSPStatisticsBaseData = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计
 * @param {object} params
 */
export const getSSPStatistics = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计详情
 * @param {object} params
 */
export const getSSPStatisticsDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics/details',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计导出
 * @param {object} data
 */
export const getSSPStatisticsExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/statistics/details/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍市民红包审核统计
 * @param {object} params
 */
export const getSSPStatisticsCitizenRedEnvelopeApproval = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/redpack/audit',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍市民红包审核统计导出
 * @param {object} data
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/redpack/audit/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍市民红包审核统计详情
 * @param {object} params
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/redpack/audit/details',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍市民红包审核统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/redpack/audit/details/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍电气焊作业申报工单
 * @param {object} params
 */
export const getSSPStatisticsElectricalWelding = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order/electrogas',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍电气焊作业申报工单导出
 * @param {object} data
 */
export const getSSPStatisticsElectricalWeldingExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/order/electrogas/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍热点小类统计
 * @param {object} params
 */
export const getSSPStatisticsHotSpot = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/hotspot-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍热点小类统计导出
 * @param {object} data
 */
export const getSSPStatisticsHotSpotExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/hotspot-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍热点小类统计明细
 * @param {object} params
 */
export const getSSPStatisticsHotSpotDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/hotspot-statistics-detail',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍热点小类统计明细导出
 * @param {object} data
 */
export const getSSPStatisticsHotSpotDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/hotspot-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍办件统计
 * @param {object} params
 */
export const getSSPStatisticsProcess = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/processing-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍办件统计导出
 * @param {object} data
 */
export const getSSPStatisticsProcessExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/processing-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍办件统计明细
 * @param {object} params
 */
export const getSSPStatisticsProcessDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/processing-statistics-detail',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍办件统计明细导出
 * @param {object} data
 */
export const getSSPStatisticsProcessDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/processing-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍网格员办理情况统计
 * @param {object} params
 */
export const getSSPStatisticsGrid = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/guider-work-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍网格员办理情况统计导出
 * @param {object} data
 */
export const getSSPStatisticsGridExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/guider-work-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍网格员办理情况统计明细
 * @param {object} params
 */
export const getSSPStatisticsGridDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/guider-work-statistics-detail',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍网格员办理情况统计明细导出
 * @param {object} data
 */
export const getSSPStatisticsGridDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/guider-work-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍网格员系统工单状态日志
 * @param {object} params
 */
export const getSSPStatisticsGridWorkOrder = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/guider-work-log',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍网格员系统工单状态日志导出
 * @param {object} data
 */
export const getSSPStatisticsGridWorkOrderExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/guider-work-log/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍网格员系统工单状态日志基础数据
 * @param {object} params
 */
export const getSSPStatisticsGridWorkOrderBaseData = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/guider-work-log/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍重复件列表
 * @param {object} params
 */
export const getSSPStatisticsRepeat = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/duplicate',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍重复件列表导出
 * @param {object} data
 */
export const getSSPStatisticsRepeatExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/duplicate/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍社区统计
 * @param {object} params
 */
export const getSSPStatisticsCommunity = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/community-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍社区统计导出
 * @param {object} data
 */
export const getSSPStatisticsCommunityExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/community-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍社区统计详情
 * @param {object} params
 */
export const getSSPStatisticsCommunityDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/community-statistics-detail',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍社区统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsCommunityDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/community-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍区域统计
 * @param {object} params
 */
export const getSSPStatisticsArea = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/county-redpack-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍区域统计导出
 * @param {object} data
 */
export const getSSPStatisticsAreaExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/county-redpack-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍行业统计
 * @param {object} params
 */
export const getSSPStatisticsIndustry = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/industry-statistics',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍行业导出
 * @param {object} data
 */
export const getSSPStatisticsIndustryExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/industry-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍行业统计详情
 * @param {object} params
 */
export const getSSPStatisticsIndustryDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/industry-statistics-detail',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍行业统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsIndustryDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/industry-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍部门平均办理时间
 * @param {object} params
 */
export const getSSPStatisticsDepartment = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/department-avetime-statistics',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍部门平均办理时间导出
 * @param {object} data
 */
export const getSSPStatisticsDepartmentExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/department-avetime-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍部门平均办理时间详情
 * @param {object} params
 */
export const getSSPStatisticsDepartmentDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/department-avetime-statistics-detail',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍部门平均办理时间详情导出
 * @param {object} data
 */
export const getSSPStatisticsDepartmentDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/department-avetime-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍部门考核统计
 * @param {object} params
 */
export const getSSPStatisticsDepartmentAssessment = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/department-statistics',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍部门考核统计导出
 * @param {object} data
 */
export const getSSPStatisticsDepartmentAssessmentExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/department-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍检查合规统计
 * @param {object} params
 */
export const getSSPStatisticsCheckCompliance = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/compliant-statistics',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍检查合规统计导出
 * @param {object} data
 */
export const getSSPStatisticsCheckComplianceExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/compliant-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍检查合规统计详情
 * @param {object} params
 */
export const getSSPStatisticsCheckComplianceDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/compliant-statistics-detail',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍检查合规统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsCheckComplianceDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/compliant-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍热点类型统计
 * @param {object} params
 */
export const getSSPStatisticsHotSpotType = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/hotspot-data-statistics',
		method: 'get',
		params,
	});
}
/**
 * @description 随手拍热点类型统计导出
 * @param {object} data
 */
export const getSSPStatisticsHotSpotTypeExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/hotspot-data-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 获取随手拍市民追加奖励
 * @param {object} params
 */
export const getSSPStatisticsCitizenAdditionalReward = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/citizen/reward',
		method: 'get',
		params,
	}
	)
}
/**
 * @description 随手拍市民追加奖励导出
 * @param {object} data
 */
export const getSSPStatisticsCitizenAdditionalRewardExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/citizen/reward/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	)
}
/**
 * @description 获取随手拍重办统计
 * @param {object} params
 */
export const getSSPStatisticsReprocessing = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/re_transact-statistics',
		method: 'get',
		params,
	}
	)
}
/**
 * @description 随手拍重办统计导出
 * @param {object} data
 */
export const getSSPStatisticsReprocessingExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/re_transact-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	)
}
/**
 * @description 获取随手拍重办统计详情
 * @param {object} params
 */
export const getSSPStatisticsReprocessingDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/re_transact-statistics-detail',
		method: 'get',
		params,
	}
	)
}
/**
 * @description 随手拍重办统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsReprocessingDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/re_transact-statistics-detail/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	)
}
/**
 * @description 获取随手拍积分列表
 * @param {object} params
 */
export const getSSPStatisticsIntegral = (params?: object) => {
	return request({
		url: '/api/v1/Points',
		method: 'get',
		params,
	})
}
/**
 * @description 随手拍积分列表导出
 * @param {object} data
 */
export const getSSPStatisticsIntegralExport = (data: object) => {
	return request(
		{
			url: '/api/v1/Points/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	)
}
/**
 * @description 设置是否是安全卫士
 * @param {object} data
 */
export const setSecurityGuard = (data: object) => {
	return request({
		url: '/api/v1/Points/securitymax',
		method: 'put',
		data,
	});
}