/*
 * @Author: zc
 * @description 数据统计-部门统计
 */
import request from '@/utils/request';
import qs from 'qs';
/**
 * @description 部门延期统计
 * @param {object} params
 */
export const departmentDelay = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order-delay-data-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门延期统计导出
 * @param {object} data
 */
export const departmentDelayExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order-delay-data-list-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门延期统计明细
 * @param {object} params
 */
export const departmentDelayDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order-delay-data-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门延期统计明细（列表）
 * @param {object} params
 */
export const departmentDelayDetailList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/order_delay_detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门延期统计明细导出  单独（列表）
 * @param {object} params
 */
export const departmentDelayDetailExportSingle = (params: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order-delay-detail/exprot`,
			method: 'post',
			params,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门延期统计明细导出
 * @param {object} data
 */
export const departmentDelayDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/order-delay-data-detail-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门超期统计
 * @param {object} params
 */
export const departmentOverdue = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门超期统计导出
 * @param {object} data
 */
export const departmentOverdueExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org_data_list/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门超期统计明细
 * @param {object} params
 */
export const departmentOverdueDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org_data_list_detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门超期统计明细导出
 * @param {object} data
 */
export const departmentOverdueDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org_data_list_detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门超期列表基础数据
 * @param {object} params
 */
export const departmentOverdueBase = (params?: object) => {
	return request({
		url: `/api/v1/BiOrder/org_data_list_detail_all/base-data`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门超期列表明细
 * @param {object} params
 */
export const departmentOverdueList = (params?: object) => {
	return request({
		url: `/api/v1/BiOrder/org_data_list_detail_all`,
		method: 'get',
		params,
		paramsSerializer: (params: any) => qs.stringify(params),
	});
};
/**
 * @description 部门超期列表明细导出
 * @param {object} data
 */
export const departmentOverdueListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org_data_list_detail_all/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门满意度统计
 * @param {object} params
 */
export const departmentSatisfaction = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-org-satisfaction-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门满意度统计-基础数据
 * @param {object} params
 */
export const departmentSatisfactionBase = (params?: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-org-satisfaction-statisticsBaseData`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门满意度统计导出
 * @param {object} data
 */
export const departmentSatisfactionExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/visit-org-satisfaction-statistics/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门满意度统计明细
 * @param {object} params
 */
export const departmentSatisfactionDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-org-satisfaction-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门满意度统计明细导出
 * @param {object} data
 */
export const departmentSatisfactionDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/visit-org-satisfaction-detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门满意度统计明细列表基础数据
 * @param {object} params
 */
export const departmentSatisfactionDetailBase = (params?: object) => {
	return request({
		url: `/api/v1/biorder/org-visitdetail-list-basedata`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门满意度统计明细列表
 * @param {object} params
 */
export const departmentSatisfactionList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org-visitdetail-list`,
		method: 'get',
		params,
		paramsSerializer: (params: any) => qs.stringify(params),
	});
};
/**
 * @description 部门满意度统计明细列表导出
 * @param {object} data
 */
export const departmentSatisfactionListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org-visitdetail-list-export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 子部门满意度统计明细
 * @param {object} params
 */
export const departmentSatisfactionOrg = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-org-statisfaction-org-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 子部门满意度统计明细导出
 * @param {object} data
 */
export const departmentSatisfactionOrgExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/visit-org-statisfaction-org-detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门办件统计表
 * @param {object} params
 */
export const departmentOrder = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/departmental_processing_statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门办件统计表导出
 * @param {object} data
 */
export const departmentOrderExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/departmental_processing_statistics_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门办件统计表明细
 * @param {object} params
 */
export const departmentOrderDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/departmental_processing_statistics_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门办件统计表明细导出
 * @param {object} data
 */
export const departmentOrderDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/departmental_processing_statistics_list_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门办件列表明细
 * @param {object} params
 */
export const departmentOrderList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/departmental_processing_statistics_details_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门办件列表明细导出
 * @param {object} data
 */
export const departmentOrderListExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/departmental_processing_statistics_details_list_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门办件统计表子级部门
 * @param {object} params
 */
export const departmentOrderOrg = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/departmental_processing_child_statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门办件统计表子级部门导出
 * @param {object} data
 */
export const departmentOrderOrgExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/departmental_processing_child_statistics_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 二次办理统计
 * @param {object} params
 */
export const departmentSecond = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/secondary_handling_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理统计导出
 * @param {object} data
 */
export const departmentSecondExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/secondary_handling_report/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 二次办理统计明细
 * @param {object} params
 */
export const departmentSecondDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/secondary_handling_detail_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理统计明细导出
 * @param {object} data
 */
export const departmentSecondDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/secondary_handling_detail_report/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 二次办理满意度统计
 * @param {object} params
 */
export const departmentSecondSatisfaction = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/secondary_handling_satisfaction_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理满意度统计导出
 * @param {object} data
 */
export const departmentSecondSatisfactionExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/secondary_handling_satisfaction_report/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 二次办理满意度统计明细
 * @param {object} params
 */
export const departmentSecondSatisfactionDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/secondary_handling_satisfaction_detail_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理满意度统计明细导出
 * @param {object} data
 */
export const departmentSecondSatisfactionDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/secondary_handling_satisfaction_detail_report/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门未签收统计
 * @param {object} params
 */
export const departmentUnSign = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/unsigned_order_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门未签收统计导出
 * @param {object} data
 */
export const departmentUnSignExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/unsigned_order_report/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 部门受理类型统计
 * @param {object} params
 */
export const departmentAcceptType = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_statistics_v1`,
		method: 'get',
		params,
	});
}
/**
 * @description 部门受理类型统计导出
 * @param {object} data
 */
export const departmentAcceptTypeExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/department_acceptance_type_statistics_export_v1`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 部门受理类型统计详情
 * @param {object} params
 */
export const departmentAcceptTypeDetailV1 = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_order_list_v1`,
		method: 'get',
		params,
	});
}
/**
 * @description 部门受理类型统计详情导出
 * @param {object} data
 */
export const departmentAcceptTypeDetailV1Export = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/department_acceptance_type_order_list_export_v1`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 部门退件统计
 * @param {object} params
 */
export const departmentReturn = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org_sendback_statistics`,
		method: 'get',
		params,
	});
}
/**
 * @description 部门退件统计导出
 * @param {object} data
 */
export const departmentReturnExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org_sendback_statistics/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}
/**
 * @description 部门退件统计明细
 * @param {object} params
*/
export const departmentReturnDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/org_sendback_detail`,
		method: 'get',
		params,
	});
}
/**
 * @description 部门退件统计明细导出
 * @param {object} data
 */
export const departmentReturnDetailExport = (data: object) => {
	return request(
		{
			url: `/api/v1/BiOrder/org_sendback_detail/_export`,
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
}