/*
 * @Author: zc
 * @description 系统配置 - 企业专员管理
 */
import request from '@/utils/request';
/**
 * @description 获取企业专员列表
 * @param {object} params 查询参数
 * @return {*}
 */
export const getEnterprisesList = (params?: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialists-tree',
		method: 'get',
		params,
	});
};
/**
 * @description 查询可选用户
 * @param {object} params
 * @return {*}
 */
export const getSelectUserList = (params?: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist/users',
		method: 'get',
		params,
	});
};
/**
 * @description 批量新增企业专员
 * @param {object} data
 * @return {*}
 */
export const batchAddEnterprises = (data: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist-batch',
		method: 'post',
		data,
	});
};
/**
 * @description 批量删除企业专员
 * @param {object} data
 * @return {*}
 */
export const batchDeleteEnterprises = (data: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist-batch',
		method: 'delete',
		data,
	});
};
/**
 * @description 查询企业专员工单
 * @param {object} params
 * @return {*}
 */
export const getEnterprisesWorkOrder = (params?: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist/orders',
		method: 'get',
		params,
	});
};
/**
 * @description 查询企业专员工单总数
 * @param {object} params
 * @return {*}
 */
export const getEnterprisesWorkOrderTotal = (params?: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist/orders/count',
		method: 'get',
		params,
	});
};
/**
 * @description 导出企业专员工单
 * @param {object} data
 * @return {*}
 */
export const exportEnterprisesWorkOrder = (data?: object) => {
	return request({
		url: '/api/v1/EnterpriseLuzhou/specialist/orders/export',
		method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};