export const YBTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{ field: 'no', title: '工单编码', width: 140 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'reTransactNum', title: '部门重办', width: 130 },
	{ field: 'visitReTransactNum', title: '回访重办', width: 130 },
	{ field: 'provinceReTransactNum', title: '上级重办', width: 130 },
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'sensitiveText', title: '敏感词', width: 150 },
	{ field: 'isSecretText', title: '是否保密', width: 100 },
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{ field: 'currentStepAcceptText', title: '受理情况', width: 100 },
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'expiredTime',
		title: '期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	/*{
		field: 'currentStepAcceptTime',
		title: '接办时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},*/
	{
		field: 'creationTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'filedTime',
		title: '办结时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	{ field: 'hotspotSpliceName', title: '热点全称', width: 150 },
	{ field: 'hotspotName', title: '热点分类', width: 150 },
	{ field: 'acceptorName', title: '受理人', width: 120 },
	{ field: 'focusOnEventsName', title: '重点关注事件', width: 120 },
	{ field: 'content', title: '受理内容', width: 200, visible: false },
	{ field: 'fileOpinion', title: '承办意见', width: 200, visible: false },
	{ title: '操作', width: 80, fixed: 'right', align: 'center', slots: { default: 'action' } },
];

export const ZGTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{ field: 'no', title: '工单编码', width: 140 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'reTransactNum', title: '重办次数', width: 90 },
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'isSecretText', title: '是否保密', width: 100 },
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{ field: 'currentStepAcceptText', title: '受理情况', width: 100 },
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'expiredTime',
		title: '期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	{
		field: 'currentStepAcceptTime',
		title: '接办时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'creationTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{
		field: 'filedTime',
		title: '办结时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'fromPhone', title: '来电号码', width: 140 },
	{ field: 'contact', title: '联系电话', width: 140 },
	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'orgLevelTwoName', title: '二级部门', width: 140 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	// { field: 'orderTag', title: '工单标签', width: 140 },
	{ field: 'orderTagsOneName', title: '一级标签', width: 140 },
	{ field: 'orderTagsTwoName', title: '二级标签', width: 140 },
	{ field: 'allDurationHour', title: '办理时长(小时)', width: 150 },
	{ field: 'hotspotSpliceName', title: '热点全称', width: 150 },
	{ field: 'hotspotName', title: '热点分类', width: 150 },
	{ field: 'acceptorName', title: '受理人', width: 120 },
	{ field: 'sensitiveText', title: '敏感词', width: 150 },
	{ field: 'content', title: '受理内容', width: 200, visible: false },
	{ field: 'fileOpinion', title: '承办意见', width: 200, visible: false },
	{ field: 'seatEvaluateTxt', title: '坐席满意度', width: 150 },
	{ field: 'orgEvaluateValue', title: '部门满意度', width: 150 },
	{ field: 'secondaryHandlingDurationWorkdayDayText', title: '重办时长', width: 150, visible: false },
	{ title: '操作', width: 140, fixed: 'right', align: 'center', slots: { default: 'action' } },
];

export const LZTableHeader = [
	{ type: 'checkbox', width: 50, align: 'center' },
	{
		field: 'expiredStatusText',
		title: '状态',
		width: 60,
		align: 'center',
		slots: {
			default: ({ row }) => {
				return <span class={'overdue-status-' + row.expiredStatus} title={row.expiredStatusText}></span>;
			},
		},
	},
	{
		field: 'statusText',
		title: '工单状态',
		width: 110,
		slots: {
			default: 'statusText',
		},
	},
	{
		field: 'isUrgentText',
		title: '是否紧急',
		width: 90,
		slots: {
			default: ({ row }) => {
				return <span class="color-danger font-bold">{row.isUrgentText}</span>;
			},
		},
	},
	{ field: 'remainingTime', title: '剩余办理时间', width: 110 },
	{ field: 'sourceChannel', title: '来源渠道', width: 110 },
	{ field: 'isProvinceText', title: '省/市工单', width: 90 },
	{ field: 'no', title: '工单编码', width: 140 },
	{
		field: 'title',
		title: '工单标题',
		minWidth: 200,
		slots: { default: 'order_detail' },
	},
	{
		field: 'expiredTime',
		title: '期满时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'actualHandleOrgName', title: '接办部门', width: 140 },
	/*{
		field: 'currentStepAcceptTime',
		title: '接办时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},*/
	{
		field: 'creationTime',
		title: '受理时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'acceptorName', title: '受理人', width: 120 },
	{ field: 'fromName', title: '来电人姓名', width: 120 },
	{ field: 'contact', title: '联系电话', width: 120 },
	{ field: 'currentStepName', title: '当前节点', width: 120 },
	{ field: 'acceptType', title: '受理类型', width: 110 },
	{ field: 'currentStepAcceptText', title: '受理情况', width: 100 },
	{
		field: 'filedTime',
		title: '办结时间',
		width: 160,
		sortable: true,
		formatter: 'formatDate',
	},
	{ field: 'orgLevelOneName', title: '一级部门', width: 140 },
	{ field: 'orgLevelTwoName', title: '二级部门', width: 140 },
	{ field: 'reTransactNum', title: '重办次数', width: 90 },
	{ field: 'isSecretText', title: '是否保密', width: 100 },
	{ field: 'counterSignTypeText', title: '是否会签', width: 110 },
	{ field: 'orderTag', title: '工单标签', width: 140 },
	{ field: 'allDurationHour', title: '办理时长(小时)', width: 150 },
	{ field: 'sensitiveText', title: '敏感词', width: 150 },
	{ field: 'content', title: '受理内容', width: 200, visible: false },
	{ field: 'fileOpinion', title: '承办意见', width: 200, visible: false },
	{ field: 'seatEvaluateTxt', title: '坐席满意度', width: 150 },
	{ field: 'orgEvaluateValue', title: '部门满意度', width: 150 },
	{ field: 'oneHotspotName', title: '一级热点', width: 150 },
	{ field: 'twoHotspotName', title: '二级热点', width: 150 },
	{ field: 'threeHotspotName', title: '三级热点', width: 150 },
	{ field: 'fourHotspotName', title: '四级热点', width: 150 },
	{ field: 'fiveHotspotName', title: '五级热点', width: 150 },
	{ title: '操作', width: 140, fixed: 'right', align: 'center', slots: { default: 'action' } },
];
